<?php

/**
 * @file
 * Contains \Drupal\domino_core\DominoCoreSubscriber.
 */

namespace Drupal\domino_core;

use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\HttpKernel\Event;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Provides a DominoCoreSubscriber.
 */
class DominoCoreSubscriber implements EventSubscriberInterface {

  /**
   * Deactivates test users for production mode
   *
   * @param Symfony\Component\HttpKernel\Event\GetResponseEvent $event
   *   The Event to process.
   */
  public function DominoCoreLoad(GetResponseEvent $event) {
    // Getting application mode from config
    $config = \Drupal::config('domino_core.settings');
    $application_mode = $config->get('application_mode');

    if ($application_mode == 'production') {
      // Update prod users
      domino_core_update_prod_users();
      // Deactivate test users
      domino_core_deactivate_test_users();
    }
  }

  /**
   * {@inheritdoc}
   */
  static function getSubscribedEvents() {
    $events[KernelEvents::REQUEST][] = array('DominoCoreLoad');
    return $events;
  }
}
